# sign

open fun sign(artifacts: Array<PublishArtifact>): SignOperation

Registers signatures for the given artifacts.

#### Return

this

#### See also

Signature

open fun sign(files: Array<File>): SignOperation

Registers signatures for the given files.

#### Return

this

#### See also

Signature

open fun sign(classifier: String, files: Array<File>): SignOperation

Registers signatures (with the given classifier) for the given files

#### Return

this

#### See also

Signature